Open Lighting Architecture: ola::rdm::RDMDiscoveryResponse Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
ola::rdm::RDMDiscoveryResponse Class Reference
RDM » RDM Messages

## Detailed Description

An RDM response of type DISCOVER_COMMAND.

Inheritance diagram for ola::rdm::RDMDiscoveryResponse:

## Public Member Functions
| RDMDiscoveryResponse (const UID &source, const UID &destination, uint8_t transaction_number, uint8_t port_id, uint8_t message_count, uint16_t sub_device, uint16_t param_id, const uint8_t *data, unsigned int length)
virtual void | Print (CommandPrinter *printer, bool summarize, bool unpack_param_data) const
| Output the contents of the command to a CommandPrinter.
Public Member Functions inherited from ola::rdm::RDMResponse
| RDMResponse (const UID &source, const UID &destination, uint8_t transaction_number, uint8_t response_type, uint8_t message_count, uint16_t sub_device, RDMCommand::RDMCommandClass command_class, uint16_t param_id, const uint8_t *data, unsigned int length)
| Create a new RDM Response.
RDMResponse * | Duplicate () const
| Make a copy of the response.
uint8_t | ResponseType () const
| The Response Type.
RDMCommandClass | CommandClass () const
| The CommmandClass of this message.
void | SetDestinationUID (const UID &destination_uid)
| Set the destination UID.
void | SetTransactionNumber (uint8_t transaction_number)
| Set the transaction number.
Public Member Functions inherited from ola::rdm::RDMCommand
virtual uint16_t | Checksum (uint16_t checksum) const
| Modify the calculated checksum for this command.
bool | operator== (const RDMCommand &other) const
| Test for equality.
virtual uint8_t | SubStartCode () const
| The Sub-Start code for the RDMCommand.
virtual uint8_t | MessageLength () const
| The Message length field.
const UID & | SourceUID () const
| Returns the Source UID of the RDMCommand.
const UID & | DestinationUID () const
| Returns the Destination UID of the RDMCommand.
uint8_t | TransactionNumber () const
| Returns the Transaction Number of the RDMCommand.
uint8_t | PortIdResponseType () const
| Returns the Port ID of the RDMCommand.
uint8_t | MessageCount () const
| Returns the Message Count of the RDMCommand.
uint16_t | SubDevice () const
| Returns the SubDevice of the RDMCommand.
uint16_t | ParamId () const
| Returns the Parameter ID of the RDMCommand.
unsigned int | ParamDataSize () const
| Returns the Size of the Parameter Data of the RDMCommand.
const uint8_t * | ParamData () const
| Returns the Parameter Data of the RDMCommand.
std::string | ToString () const
| Create a human readable string from the RDMCommand object.

## Static Public Member Functions
static RDMDiscoveryResponse * | InflateFromData (const uint8_t *data, unsigned int length)
Static Public Member Functions inherited from ola::rdm::RDMResponse
static RDMResponse * | InflateFromData (const uint8_t *data, size_t length, RDMStatusCode *status_code, const RDMRequest *request=NULL)
static RDMResponse * | InflateFromData (const ola::io::ByteString &input, RDMStatusCode *status_code, const RDMRequest *request=NULL)
static RDMResponse * | CombineResponses (const RDMResponse *response1, const RDMResponse *response2)
| Combine two RDMResponses.
Static Public Member Functions inherited from ola::rdm::RDMCommand
static RDMCommand * | Inflate (const uint8_t *data, unsigned int length)
| Extract a RDMCommand from raw data.

## Additional Inherited Members
Public Types inherited from ola::rdm::RDMCommand
enum | RDMCommandClass { DISCOVER_COMMAND = 0x10 , DISCOVER_COMMAND_RESPONSE = 0x11 , GET_COMMAND = 0x20 , GET_COMMAND_RESPONSE = 0x21 , SET_COMMAND = 0x30 , SET_COMMAND_RESPONSE = 0x31 , INVALID_COMMAND = 0xff }
| A set of values representing CommandClasses in E1.20. More...
Static Public Attributes inherited from ola::rdm::RDMResponse
static const unsigned int | MAX_OVERFLOW_SIZE = 4 << 10
| The maximum size of an ACK_OVERFLOW session that we'll buffer.
Static Public Attributes inherited from ola::rdm::RDMCommand
static const uint8_t | START_CODE = 0xcc
| The RDM Start Code.
Protected Member Functions inherited from ola::rdm::RDMCommand
| RDMCommand (const UID &source, const UID &destination, uint8_t transaction_number, uint8_t port_id, uint8_t message_count, uint16_t sub_device, uint16_t param_id, const uint8_t *data, unsigned int length)
| Protected constructor for derived classes.
void | SetParamData (const uint8_t *data, unsigned int length)
Static Protected Member Functions inherited from ola::rdm::RDMCommand
static RDMStatusCode | VerifyData (const uint8_t *data, size_t length, RDMCommandHeader *command_message)
static RDMCommandClass | ConvertCommandClass (uint8_t command_type)
Protected Attributes inherited from ola::rdm::RDMCommand
uint8_t | m_port_id
UID | m_source
UID | m_destination
uint8_t | m_transaction_number

## Member Function Documentation

## ◆ Print()

virtual void ola::rdm::RDMDiscoveryResponse::Print | ( | CommandPrinter * | printer,
|  | bool | summarize,
|  | bool | unpack_param_data ) const
| inlinevirtual

Output the contents of the command to a CommandPrinter.

Parameters

  printer | CommandPrinter which will use the information
  summarize | enable a one line summary
  unpack_param_data | if the summary isn't enabled, this controls if we unpack and display parameter data.

Reimplemented from ola::rdm::RDMResponse.

The documentation for this class was generated from the following files:

- include/ola/rdm/RDMCommand.h
- common/rdm/RDMCommand.cpp